Customer Contacts API

7 PracBill API endpoints for customer contacts. Base URL https://billing.pracbill.com.au/api.

Add a contact to a customer

POST /{api_key}/customer/contact/add/{cid}

Request body

FieldTypeDescription
name requiredstring
surnamestring
emailstring
phonestring
mobilestring
positionstring
people_typestringOptional contact type to store on the customer/contact relationship (people_related.people_type). Known values: technical, accounts, site, authorised. Multiple values may be supplied using the legacy '^,^' delimiter (e.g. 'technical^,^accounts').

Responses

  • 200 — Contact added successfully

Get all contacts for a customer

GET /{api_key}/customer/contact/get/{cid}

Responses

  • 200 — Contacts retrieved successfully

Retrieve a specific contact

GET /{api_key}/customer/{cid}/contact/{contact_id}

Responses

  • 200 — Request received successfully

Update a contact

POST /{api_key}/customer/{cid}/contact/{contact_id}

Request body

FieldTypeDescription
contact_idinteger
cidinteger
namestring
surnamestring
emailstring
phonestring
mobilestring
positionstring
people_typestringContact type from people_related.people_type. Known values: technical, accounts, site, authorised. Multiple values may be stored together using the legacy '^,^' delimiter (e.g. 'technical^,^accounts'). On create/update this field is optional; when provided it is persisted on the customer/contact relationship.

Responses

  • 200 — Contact updated successfully

Delete a contact

GET /{api_key}/customer/{cid}/contact/{contact_id}/delete

Responses

  • 200 — Contact deleted successfully

Retrieve all contacts for a customer

GET /{api_key}/customer/{cid}/contacts

Responses

  • 200 — Request received successfully

Create a new contact for a customer

POST /{api_key}/customer/{cid}/contacts

Request body

FieldTypeDescription
contact_idinteger
cidinteger
namestring
surnamestring
emailstring
phonestring
mobilestring
positionstring
people_typestringContact type from people_related.people_type. Known values: technical, accounts, site, authorised. Multiple values may be stored together using the legacy '^,^' delimiter (e.g. 'technical^,^accounts'). On create/update this field is optional; when provided it is persisted on the customer/contact relationship.

Responses

  • 200 — Contact created successfully

← All API groups